import { createTRPCRouter, publicProcedure } from "$lib/trpc/t";
import z from "zod";
import { AuthController } from "./controller";

export const authRouter = createTRPCRouter({
	shouldLogin: publicProcedure
		.input(z.object({ username: z.string() }))
		.query(async ({ input }) => {
			const ac = new AuthController();
			return ac.shouldLogin(input.username);
		}),
});
